Skip to main content

Bulk Create Sales Invoices from Shipments

POST 

/api/sales-orders/:salesOrder/invoices/bulk-from-shipments

Create one invoice per selected uninvoiced shipment of the order (fulfillment_ids[], 1–200). The invoices are issued when per-shipment invoices auto-issue and the user may issue invoices; otherwise they are left as drafts.

Required scope: orders:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Requires orders:write and sales_invoices.create.

Request​

Responses​

Created

Response Headers
    Content-Type